%define pref 	%{_prefix}
%define python 	%__python
%define pyver 	%__python_version
%define debug 	0
%define port  	GTK
%define lcport 	gtk
%define tarname wxPythonSrc
%define version 2.3.3.1
%define ver2    2.3
%define release alt1
%define wxpref  %{pref}/lib/wxPython

# Should --enable-debug_flag be used in release builds?
%define debug_flag 1


%if %{debug}
    %define name      wxPython%{port}-py%{pyver}-dbg
    %define othername wxPython%{port}-py%{pyver}
%else
    %define name      wxPython%{port}-py%{pyver}
    %define othername wxPython%{port}-py%{pyver}-dbg
%endif


%if %{debug} || %{debug_flag}
    %define wxconfigname %{wxpref}/bin/wx%{lcport}d-%{ver2}-config
%else
    %define wxconfigname %{wxpref}/bin/wx%{lcport}-%{ver2}-config
%endif


#----------------------------------------------------------------
Summary:   Cross platform GUI toolkit for Python using wx%{port}
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{tarname}-%{version}.tar.gz
License:   wxWindows Library Licence, Version 3
URL:       http://wxPython.org/
Group:     Development/Python
Prefix:    %{pref}
Requires:  python = %__python_version


Provides: wxwin
Provides: wx%{port} = %{version}
Provides: wxPython  = %{version}


# They conflict with each other, so let them replace each other
Obsoletes: %{othername}
# old wxPython packages
Obsoletes: wxPython


%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is implemented using the %{port} port of wxWindows, and
includes the wx%{port} shared libs and etc.


%package devel
Summary: wxPython%{port} development files
Group: Development/Libraries
#Requires: wxPython%{port} = %{version}
Requires: %{name} = %{version}

%description devel
This packages contains the headers and etc. for building apps or
Python extension modules that use the same wx%{port} shared libraries
that wxPython uses.

#----------------------------------------------------------------
%prep
%setup -q -n %{tarname}-%{version}


#----------------------------------------------------------------
%buildmulti
if [ "$SMP" != "" ]; then
    MAKE="make -j$SMP"
else
    MAKE="make"
fi

mkdir build
cd build

# Configure, trying to reduce dependencies
../configure --with-%{lcport} \
	--prefix=%{wxpref} \
	--disable-soname \
	--enable-rpath=%{wxpref}/lib \
	--with-opengl \
%if %{debug}
	--enable-debug \
%else
	--enable-optimise \
%if %{debug_flag}
	--enable-debug_flag \
%endif
%endif
	--with-libjpeg=builtin \
	--with-libpng=builtin \
	--with-libtiff=builtin \
	--with-zlib=builtin \

##	--enable-debug_flag \
##	--with-odbc \


# Build wxWindows
$MAKE

cd ../locale
make allmo


# ** Unfortunately we have to do a bit of installation here so wxPython
# can be built.  Perhaps wx-config should be changed to be able to be
# used from the build dir, maybe with an --inplace flag...  Move these
# three lines to % install if/when that happens.
###[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd ../build
make prefix=$RPM_BUILD_ROOT%{wxpref} install


# Now build wxPython
cd ../wxPython
%{python} setup.py \
	IN_CVS_TREE=1 \
	NO_SCRIPTS=1 \
	WX_CONFIG="$RPM_BUILD_ROOT%{wxpref}/bin/wx-config --prefix=$RPM_BUILD_ROOT%{wxpref}" \
	build


#----------------------------------------------------------------
%install
%find_lang wxstd
cd wxPython
%{python} setup.py \
	IN_CVS_TREE=1 \
	NO_SCRIPTS=1 \
	WX_CONFIG="$RPM_BUILD_ROOT%{wxpref}/bin/wx-config --prefix=$RPM_BUILD_ROOT%{wxpref}" \
	install \
	--root=$RPM_BUILD_ROOT

# Since I want this RPM to be as generic as possible I won't let
# distutils copy the scripts, since it will mangle the #! line
# to use the real python pathname.  Since some distros install
# python 2.2 as python2 and others as python, then I can't let
# it do that otherwise the dependencies will be fouled up.  Copy
# them manually instead:

mkdir -p $RPM_BUILD_ROOT/usr/bin
for s in \
	img2png \
	img2py \
	img2xpm \
	pycrust \
	pyshell \
	xrced; do
    cp scripts/$s $RPM_BUILD_ROOT/usr/bin
done


#----------------------------------------------------------------
%post
/sbin/ldconfig


#----------------------------------------------------------------
%postun
/sbin/ldconfig



#----------------------------------------------------------------
%files
%doc docs/preamble.txt
%doc docs/licence.txt
%doc docs/readme.txt
%doc docs/changes.txt
%doc wxPython/README.txt
%doc wxPython/CHANGES.txt
%dir %wxpref
%dir %wxpref/lib
%{wxpref}/lib/libwx*
%{pref}/lib/python*/*/*
%{wxpref}/share/
%{pref}/bin/*


%files devel
%dir %wxpref/include
%{wxpref}/include/wx
%{wxpref}/lib/wx
%dir %wxpref/bin
%{wxconfigname}
%{wxpref}/bin/wx-config



#----------------------------------------------------------------
%changelog
* Sun Nov 24 2002 Oleg Gints <go@altlinux.ru> 2.3.3.1-alt1
- new ALT spec based on spec from Robin Dunn <robin@alldunn.com>

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 2.2.7-alt1
- rollback to stable branch 2.2.x.
- 2.2.7.

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3.2.1-alt1
- rebuild with new python

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.3.0-alt1
- new version
- built with python-2.1

* Sun Dec 17 2000 AEN <aen@logic.ru>
- new RE spec based on spec from Robin Dunn <robin@alldunn.com>

# end of file
